import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3'
import { message } from './message'

const width = window.innerWidth;
const height = window.innerHeight;



const App = () => {
  const [data, setData] = useState(null)
  
    const csvUrl = 'https://gist.githubusercontent.com/curran/b236990081a24761f7000567094914e0/raw/acd2b8cecfe51c520622fbaf407ee88b8796bfc6/cssNamedColors.csv';
    useEffect(() => {  
  	csv(csvUrl).then(setData)
    }, [])
   
  return (
    <pre>{data ? message(data) : 'Loading...'}  </pre>
	);
}
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);